# Generated by Django 2.2.1 on 2019-05-26 10:14

from django.db import migrations, models
import django.db.models.deletion
import app.models


class Migration(migrations.Migration):

    dependencies = [
        ('recs', '0001_initial'),
    ]

    operations = [
        migrations.AlterField(
            model_name='user',
            name='account_id',
            field=models.IntegerField(null=True),
        ),
        migrations.CreateModel(
            name='Post',
            fields=[
                ('id', models.AutoField(primary_key=True, serialize=False)),
                ('post_type_id', models.CharField(choices=[(app.models.Post.Type('Question'), 'Question'), (
                    app.models.Post.Type('Answer'), 'Answer')], max_length=8)),
                ('creation_date', models.DateTimeField()),
                ('score', models.IntegerField()),
                ('view_count', models.PositiveIntegerField()),
                ('body', models.TextField()),
                ('last_editor_display_name', models.TextField()),
                ('last_edit_date', models.DateTimeField()),
                ('last_activity_date', models.DateTimeField()),
                ('community_owned_date', models.DateTimeField()),
                ('closed_date', models.DateTimeField()),
                ('title', models.TextField()),
                ('tags', models.TextField()),
                ('answer_count', models.PositiveIntegerField()),
                ('comment_count', models.PositiveIntegerField()),
                ('favorite_count', models.PositiveIntegerField()),
                ('accepted_answer_id', models.ForeignKey(null=True, on_delete=django.db.models.deletion.PROTECT, related_name='accepted_anser', to='app.Post')),
                ('last_editor_user_id', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='last_editor_user', to='app.User')),
                ('owner_user_id', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='owner_user', to='app.User')),
                ('parent_id', models.ForeignKey(null=True, on_delete=django.db.models.deletion.PROTECT, related_name='parent', to='app.Post')),
            ],
        ),
    ]
